API ReferenceapicommunityGET /v1/communities/{slug}/members

GET /v1/communities/\{slug\}/members

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • slug (string) required

Query parameters

  • limit (integer) —
  • cursor (string) —

Responses

200 Paginated list of members

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "community_slug": {
            "type": "string"
          },
          "user_id": {
            "type": "string"
          },
          "role": {
            "type": "string"
          },
          "joined_at": {
            "type": "string"
          }
        },
        "required": [
          "community_slug",
          "user_id",
          "role",
          "joined_at"
        ]
      }
    },
    "next_cursor": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "data",
    "next_cursor"
  ]
}

404 Community not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/communities/{slug}/members \
  -H "Authorization: Bearer $ACCESS_TOKEN"